aboutsummaryrefslogtreecommitdiffstats
path: root/meta/recipes-core/udev/files/udev-cache
diff options
context:
space:
mode:
Diffstat (limited to 'meta/recipes-core/udev/files/udev-cache')
-rw-r--r--meta/recipes-core/udev/files/udev-cache20
1 files changed, 20 insertions, 0 deletions
diff --git a/meta/recipes-core/udev/files/udev-cache b/meta/recipes-core/udev/files/udev-cache
new file mode 100644
index 0000000000..77bbda6f1b
--- /dev/null
+++ b/meta/recipes-core/udev/files/udev-cache
@@ -0,0 +1,20 @@
+#!/bin/sh -e
+
+### BEGIN INIT INFO
+# Provides: udev-cache
+# Required-Start: mountall
+# Required-Stop:
+# Default-Start: S
+# Default-Stop:
+# Short-Description: cache /dev to speedup the udev next boot
+### END INIT INFO
+
+[ -d /sys/class ] || exit 1
+[ -r /proc/mounts ] || exit 1
+[ -x /sbin/udevd ] || exit 1
+
+if [ ! -e /etc/dev.tar ]; then
+ (cd /; tar cf /etc/dev.tar dev)
+fi
+
+exit 0